MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::NCResult< T > Class Template Reference

This is similar to Result, but can be used with non-class types. More...

`#include <comptmpl.h>`

Inheritance diagram for sc::NCResult< T >:

List of all members.

## Public Member Functions

| NCResult (Compute *c)
| NCResult (const NCResult< T > &r, Compute *c)
| operator T & ()
T & | result ()
T & | result_noupdate ()
const T & | result_noupdate () const
void | operator= (const T &a)
void | operator= (const NCResult< T > &r)

## Detailed Description

### template<class T>
class sc::NCResult< T >

This is similar to Result, but can be used with non-class types.

The documentation for this class was generated from the following file:

- comptmpl.h